using EDPlayerJournal.Entries;

namespace EDPlayerJournal.BGS.Parsers;

internal class SupercruiseDestinationDropParser : ITransactionParserPart {
    public void Parse(Entry entry, TransactionParserContext context, TransactionParserOptions options, TransactionList transactions) {
        SupercruiseDestinationDropEntry? drop = entry as SupercruiseDestinationDropEntry;
        if (drop == null || drop.Type == null) {
            return;
        }

        context.CurrentInstanceType = drop.Type;
    }
}
